Bug 1412447 - [RFE] CAPABILITY_IAM error after IAM role assignment with amazon cloudFormation template
Summary: [RFE] CAPABILITY_IAM error after IAM role assignment with amazon cloudFormati...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.6.4
Assignee: Bill Wei
QA Contact: Shveta
URL:
Whiteboard: ec2:stack
Depends On: 1385712
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-12 03:19 UTC by Satoe Imaishi
Modified: 2020-04-15 15:05 UTC (History)
7 users (show)

Fixed In Version: 5.6.4.0
Doc Type: Enhancement
Doc Text:
Clone Of: 1385712
Environment:
Last Closed: 2017-03-09 17:07:29 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0474 normal SHIPPED_LIVE CFME 5.6.4 bug fixes and enhancement update 2017-03-09 22:03:14 UTC

Comment 2 CFME Bot 2017-01-16 18:56:08 UTC
New commit detected on ManageIQ/manageiq/darga:
https://github.com/ManageIQ/manageiq/commit/74ed59c4d20562ec1922e9bc2e377340c96ebcc4

commit 74ed59c4d20562ec1922e9bc2e377340c96ebcc4
Author:     Marcel Hild <hild@b4mad.net>
AuthorDate: Mon Dec 12 10:50:35 2016 +0100
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Jan 16 13:49:12 2017 -0500

    Merge pull request #88 from bzwei/orchestration_more_options
    
    Support all options to create orchestration stacks
    (cherry picked from commit 07feb3e1d847163da49491c276731f51c045bfc8)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1412447

 .../orchestration_service_option_converter.rb      | 56 ++++++++++++-
 .../orchestration_service_option_converter_spec.rb | 93 ++++++++++++++++++++++
 2 files changed, 145 insertions(+), 4 deletions(-)
 create mode 100644 spec/models/manageiq/providers/amazon/cloud_manager/orchestration_service_option_converter_spec.rb

Comment 3 Bill Wei 2017-01-16 19:20:21 UTC
Darga backport (to manageiq repo) details:

$ git log -1
commit 74ed59c4d20562ec1922e9bc2e377340c96ebcc4
Author: Marcel Hild <hild@b4mad.net>
Date:   Mon Dec 12 10:50:35 2016 +0100

    Merge pull request #88 from bzwei/orchestration_more_options
    
    Support all options to create orchestration stacks
    (cherry picked from commit 07feb3e1d847163da49491c276731f51c045bfc8)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1412447

Comment 4 Shveta 2017-02-08 05:27:02 UTC
Works in 5.6.4.0.20170201130751_9521533

Comment 6 errata-xmlrpc 2017-03-09 17:07:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2017-0474.html


Note You need to log in before you can comment on or make changes to this bug.